package test;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;


public class TestServlet extends HttpServlet {


    public void doGet(HttpServletRequest request,
                      HttpServletResponse response)
        throws IOException, ServletException
    {
        response.setContentType("text/html");
        String path = "";
        Boolean debug = false;
        String debugParam = request.getParameter("dbg");
        String pathParam = request.getParameter("p");
        if (pathParam != null)
           path = pathParam;
        if (debugParam != null && debugParam.equals("t"))
           debug = true;

        ServletContext context = getServletContext();
        PrintWriter out = response.getWriter();
        // without context-root, path is ""
	String sCCP = context.getContextPath();
        String sRCP = request.getContextPath();        
	if (sCCP != null && sCCP.equals(path) && sRCP.equals(path)) {
	    out.println("pass");
	} else {
	    out.println("fail");
	}

        if (debug) {
	    out.println("<pre>");
	    out.println("debug info:");
            out.println("--debugParam="+debugParam+"--");
	    out.println("--pathParam="+pathParam+"--");
	    out.println("--path="+path+"--");
	    out.println("--servletContext.ContextPath="+sCCP+"--");
	    out.println("--servletRequest.ContextPath="+sRCP+"--");
	    out.println("</pre>");
	}

    }

    public void doPost(HttpServletRequest request,
                      HttpServletResponse response)
        throws IOException, ServletException
    {
        doGet(request, response);
    }

}

